# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Defines | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/MurmurHash3.cpp File Reference

`#include <vlCore/MurmurHash3.hpp>`

Go to the source code of this file.

## Defines

#define | FORCE_INLINE inline
#define | ROTL32(x, y) rotl32(x,y)
#define | ROTL64(x, y) rotl64(x,y)
#define | BIG_CONSTANT(x) (x##LLU)

## Functions

u32 | rotl32 (u32 x, i8 r)
u64 | rotl64 (u64 x, i8 r)
FORCE_INLINE u32 | getblock (const u32 *p, int i)
FORCE_INLINE u64 | getblock (const u64 *p, int i)
FORCE_INLINE u32 | fmix (u32 h)
FORCE_INLINE u64 | fmix (u64 k)

## Define Documentation

#define FORCE_INLINE inline

Definition at line 35 of file MurmurHash3.cpp.

#define ROTL32 | ( |  | x,
|  |  | y
| ) |  | rotl32(x,y)

Definition at line 47 of file MurmurHash3.cpp.

Referenced by vl::MurmurHash3_x86_128(), and vl::MurmurHash3_x86_32().

#define ROTL64 | ( |  | x,
|  |  | y
| ) |  | rotl64(x,y)

Definition at line 48 of file MurmurHash3.cpp.

Referenced by vl::MurmurHash3_x64_128().

#define BIG_CONSTANT | ( |  | x ) | (x##LLU)

Definition at line 50 of file MurmurHash3.cpp.

Referenced by fmix(), and vl::MurmurHash3_x64_128().

## Function Documentation

u32 rotl32 | ( | u32 | x,
|  | i8 | r
| ) |  | `[inline]`

Definition at line 37 of file MurmurHash3.cpp.

u64 rotl64 | ( | u64 | x,
|  | i8 | r
| ) |  | `[inline]`

Definition at line 42 of file MurmurHash3.cpp.

FORCE_INLINE u32 getblock | ( | const u32 * | p,
|  | int | i
| ) |  |

Definition at line 58 of file MurmurHash3.cpp.

Referenced by vl::MurmurHash3_x64_128(), vl::MurmurHash3_x86_128(), and vl::MurmurHash3_x86_32().

FORCE_INLINE u64 getblock | ( | const u64 * | p,
|  | int | i
| ) |  |

Definition at line 63 of file MurmurHash3.cpp.

FORCE_INLINE u32 fmix | ( | u32 | h ) |

Definition at line 71 of file MurmurHash3.cpp.

Referenced by vl::MurmurHash3_x64_128(), vl::MurmurHash3_x86_128(), and vl::MurmurHash3_x86_32().

FORCE_INLINE u64 fmix | ( | u64 | k ) |

Definition at line 84 of file MurmurHash3.cpp.

References BIG_CONSTANT.

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:49.
Permission is granted to use this page to write and publish articles regarding Visualization Library.